import ugfx, badge, appglue, utime

def show_syntax_logo():
    ugfx.set_lut(ugfx.LUT_NORMAL)
    ugfx.clear(ugfx.WHITE)
    ugfx.flush()
    try:
        ugfx.set_lut(ugfx.GREYSCALE)
        badge.eink_png(0,0,'/lib/syntax_logo/logo.png')
    except:
        ugfx.string(0, 0, "SYNTAX LOGO LOAD ERROR #", "Roboto_Regular12", ugfx.BLACK)
    ugfx.flush()
    badge.leds_send_data(bytes([0, 0, 128, 0, 0, 0, 128, 0, 0, 0, 128, 0, 0, 0, 128, 0, 0, 0, 128, 0, 0, 0, 128, 0]), 24)
    utime.sleep(420)
    badge.leds_disable()

def program_main():
    print("--- SYNTAX LOGO APP ---")
    ugfx.init()
    ugfx.set_lut(ugfx.LUT_NORMAL)
    ugfx.clear(ugfx.BLACK)
    ugfx.flush()
    show_syntax_logo()
    appglue.start_app("") # Return home

# Start main application
program_main()